Subject: Re: File archiver using git

From: Jakub Narebski <[email-masked]>
Date: Sun, 27 Aug 2006 17:34:04 +0200

Grzegorz Kulewski wrote:

> On Sun, 27 Aug 2006, Matt McCutchen wrote:
>> Dear git people,
>>
>> You might like the two attached scripts that I wrote around git to
>> pack file trees containing lots of redundancy into very small
>> packages.  For example, if I have ten slightly different versions of a
>> piece of software because I didn't use version control, I can use
>> gitar to compress them together.
> 
> Does it (and GIT in general) work ok with file permisions, ownership, soft 
> and hard links, named sockets, device files and similar "strange" 
> filesystem objects? Do I need any options to GIT to make it work with 
> them?

Git in general only preserves executable bit, deals with symlinks,
hardlinks after a fashion (stored once, but unpacked/checked out as separate
files, not hardlinked), and does not deal with other "strange" filesystem
objects as far as I know.

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git